Bug 1440971 - Review Request: python-pyclipper - Cython wrapper for the C++ translation of the Angus Johnson's Clipper library
Review Request: python-pyclipper - Cython wrapper for the C++ translation of...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliott Sales de Andrade
Fedora Extras Quality Assurance
:
Depends On: 1440968
Blocks: 1258542 1440992
  Show dependency treegraph
 
Reported: 2017-04-10 17:05 EDT by Athos Ribeiro
Modified: 2018-02-16 20:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-16 20:00:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
quantum.analyst: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Athos Ribeiro 2017-04-10 17:05:56 EDT
Spec URL: https://athoscr.fedorapeople.org/packaging/python-pyclipper.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/python-pyclipper-1.0.6-1.fc25.src.rpm

Description:
Pyclipper is a Cython wrapper exposing public functions and classes of the C++
translation of the Angus Johnson's Clipper library.

Fedora Account System Username: athoscr

python-pyclipper.src: W: spelling-error Summary(en_US) Cython -> Python
1 packages and 1 specfiles checked; 0 errors, 1 warnings.
Comment 1 Elliott Sales de Andrade 2017-07-07 23:43:14 EDT
This is not a formal review. The major problems are:
 * Pyclipper embeds the C++ clipper code; this is generally frowned upon, see
   https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries
   for more information.
 * Relatedly, the C++ code is licensed under the Boost Software License, not MIT.
Minor issues:
 * %{srcname} could be used for the .so file.
 * Rpmlint output can generally be ignored; spelling errors are not really errors.
   However, the source files should not really be executable. That should probably
   be fixed upstream.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "*No copyright* BSL", "Unknown or
     generated". 14 files have unknown license. Detailed output of
     licensecheck in 1440971-python-pyclipper/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[?]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-pyclipper , python3-pyclipper , python-pyclipper-debuginfo
[x]: Package functions as described. - Checked the examples from the README.rst.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pyclipper-1.0.6-1.fc25.x86_64.rpm
          python3-pyclipper-1.0.6-1.fc25.x86_64.rpm
          python-pyclipper-debuginfo-1.0.6-1.fc25.x86_64.rpm
          python-pyclipper-1.0.6-1.fc25.src.rpm
python2-pyclipper.x86_64: W: spelling-error Summary(en_US) Cython -> Python
python3-pyclipper.x86_64: W: spelling-error Summary(en_US) Cython -> Python
python-pyclipper-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/pyclipper-1.0.6/pyclipper/clipper.hpp
python-pyclipper-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/pyclipper-1.0.6/pyclipper/clipper.hpp
python-pyclipper-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/pyclipper-1.0.6/pyclipper/clipper.cpp
python-pyclipper-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/pyclipper-1.0.6/pyclipper/clipper.cpp
python-pyclipper.src: W: spelling-error Summary(en_US) Cython -> Python
4 packages and 0 specfiles checked; 2 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python-pyclipper-debuginfo-1.0.6-1.fc25.x86_64.rpm
python-pyclipper-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/pyclipper-1.0.6/pyclipper/clipper.hpp
python-pyclipper-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/pyclipper-1.0.6/pyclipper/clipper.hpp
python-pyclipper-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/pyclipper-1.0.6/pyclipper/clipper.cpp
python-pyclipper-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/pyclipper-1.0.6/pyclipper/clipper.cpp
1 packages and 0 specfiles checked; 2 errors, 2 warnings.





Rpmlint (installed packages)
----------------------------
python2-pyclipper.x86_64: W: spelling-error Summary(en_US) Cython -> Python
python-pyclipper-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/pyclipper-1.0.6/pyclipper/clipper.hpp
python-pyclipper-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/pyclipper-1.0.6/pyclipper/clipper.hpp
python-pyclipper-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/pyclipper-1.0.6/pyclipper/clipper.cpp
python-pyclipper-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/pyclipper-1.0.6/pyclipper/clipper.cpp
python3-pyclipper.x86_64: W: spelling-error Summary(en_US) Cython -> Python
3 packages and 0 specfiles checked; 2 errors, 4 warnings.



Requires
--------
python2-pyclipper (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    python(abi)
    rtld(GNU_HASH)

python-pyclipper-debuginfo (rpmlib, GLIBC filtered):

python3-pyclipper (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.5m.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python2-pyclipper:
    python-pyclipper
    python-pyclipper(x86-64)
    python2-pyclipper
    python2-pyclipper(x86-64)
    python2.7dist(pyclipper)
    python2dist(pyclipper)

python-pyclipper-debuginfo:
    python-pyclipper-debuginfo
    python-pyclipper-debuginfo(x86-64)

python3-pyclipper:
    python3-pyclipper
    python3-pyclipper(x86-64)
    python3.5dist(pyclipper)
    python3dist(pyclipper)



Unversioned so-files
--------------------
python2-pyclipper: /usr/lib64/python2.7/site-packages/pyclipper.so
python3-pyclipper: /usr/lib64/python3.5/site-packages/pyclipper.cpython-35m-x86_64-linux-gnu.so

Source checksums
----------------
https://github.com/greginvm/pyclipper/archive/1.0.6/pyclipper-1.0.6.tar.gz :
  CHECKSUM(SHA256) this package     : 3c4b70b106bffd736146051f031e2fc5d815d2b13453604d05fb636bb487dcbd
  CHECKSUM(SHA256) upstream package : 3c4b70b106bffd736146051f031e2fc5d815d2b13453604d05fb636bb487dcbd


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --bug 1440971 -L 1440968-python-setuptools_scm_git_archive/results/
Buildroot used: fedora-25-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    1440968-python-setuptools_scm_git_archive/results/python3-setuptools_scm_git_archive-1.0-1.fc25.noarch.rpm
    1440968-python-setuptools_scm_git_archive/results/python2-setuptools_scm_git_archive-1.0-1.fc25.noarch.rpm
Comment 2 Athos Ribeiro 2017-07-16 10:16:52 EDT
Hi Elliott,

Thank you for the input.

The clipper lib embedded in python-pyclipper is packaged in fedora under polyclipping and polyclipping-devel.

- the version embedded is 6.2.1
- the version in Fedora is 6.2.0
- the last released version is 6.4.2
- all of them have different SOVER numbers

As I see it, the needed actions are

- update pyclipper to use the latest polyclipper version
- update pyclipper build to allow using the system SO
- update polyclipper in Fedora to the latest version

I will contact pyclipper upstream and polyclipper packager to solve this issues :)
Comment 3 Athos Ribeiro 2017-07-16 20:58:29 EDT
New sources. For now, it fails to build due to one failing test (different polyclipping ABI). I will ask the library mainainer to update the package before dealing with this.

Thanks for the input!

Spec URL: https://athoscr.fedorapeople.org/packaging/python-pyclipper.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/python-pyclipper-1.0.6-2.fc25.src.rpm
Comment 4 Elliott Sales de Andrade 2017-08-02 23:38:05 EDT
Currently, Fedora packages 6.4; not sure if that's enough for the ABI problems.
Comment 5 Athos Ribeiro 2017-08-14 11:20:52 EDT
Not really, the library API seems to change with each new version...

I opened an issue upstream [1]. If they are not willing to update nor to accept a patch for that, I could either patch the package here or bundle polyclipper 6.2.1, as upstream does.

[1] https://github.com/greginvm/pyclipper/issues/10
Comment 6 Elliott Sales de Andrade 2017-08-18 02:28:50 EDT
It might be faster to open a PR there if the change is straightforward.
Comment 7 Athos Ribeiro 2017-08-18 10:45:32 EDT
(In reply to Elliott Sales de Andrade from comment #6)
> It might be faster to open a PR there if the change is straightforward.

It is not, it will require some work, since the ABI has changed. I am also proposing a way to install the package with de-bundled libraries. Upstream is being responsive [1], so I believe this could hold for a few more days, what do you think?

[1] https://github.com/greginvm/pyclipper/issues/10
Comment 8 Elliott Sales de Andrade 2017-09-15 02:26:39 EDT
Any luck so far?
Comment 9 Athos Ribeiro 2017-09-15 22:00:24 EDT
Well, I am waiting for an upstream response. I do not have the time to fix the problem upstream ATM. Do you need this package in Fedora now? If so, we can check if it is possible to bundle the lib until the issue is solved upstream if you need the package (but this is not a great idea). Otherwise, we can wait for an upstream update.
Comment 10 Elliott Sales de Andrade 2017-09-17 02:38:36 EDT
No, nothing in particular. It just looks kind of useful.
Comment 11 Shawn Starr 2017-10-05 12:47:07 EDT
It blocks getting the Hack fonts into Fedora though
Comment 12 Shawn Starr 2017-10-20 12:25:46 EDT
Any progress on this? Any help needed?
Comment 13 Shawn Starr 2017-10-20 12:39:41 EDT
Can we not provide temporary patches locally to use the system libraries until upstream has their solution in place?
Comment 14 Athos Ribeiro 2017-10-20 13:33:38 EDT
(In reply to Athos Ribeiro from comment #2)
> As I see it, the needed actions are
> 
> - update pyclipper to use the latest polyclipper version
This needs fixing
> - update pyclipper build to allow using the system SO
Solved downstream, it would be nice to implement it upstream
> - update polyclipper in Fedora to the latest version
Solved.

(In reply to Shawn Starr from comment #13)
> Can we not provide temporary patches locally to use the system libraries
> until upstream has their solution in place?

Yes, it is already done. The problem is the the latest polyclipping ABI is different from the one used in this python package. We should also patch it to use the latest ABI.

I have been quite busy to dive into upstream code and provide a patch. I will assess the necessary work this weekend, if I cannot provide the patch by then, I would not oppose into looking at embedding it for now. I wouldn't be comfortable doing so without consulting the packaging committee first though. FYI, after a quick search, I could not find any CVEs open for previous polyclipper versions.
Comment 15 Athos Ribeiro 2017-10-22 00:28:06 EDT
Spec URL: https://athoscr.fedorapeople.org/packaging/python-pyclipper.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/python-pyclipper-1.0.6-3.fc26.src.rpm

There are 2 patches being applied to this package:

Patch 00: Debundles Clipper

Patch 01: Latest Clipper (Fedora version) compatibility

Discussions on 01 are still going on at [1] and [2], while 00 needs some love before being sent upstream (you can see good ideas on it in [1] as well).

[1] https://github.com/greginvm/pyclipper/issues/10
[2] https://github.com/greginvm/pyclipper/pull/11
Comment 16 Elliott Sales de Andrade 2017-10-22 04:09:54 EDT
You don't need Requires:polyclipping; it's automatic. There are also a few suspicious warnings you may want to investigate.

Please clear the whiteboard when this is ready.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "*No copyright* BSL", "Unknown or
     generated". 14 files have unknown license. Detailed output of
     licensecheck in review/1440971-python-pyclipper/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[?]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-pyclipper , python3-pyclipper , python-pyclipper-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pyclipper-1.0.6-3.fc28.x86_64.rpm
          python3-pyclipper-1.0.6-3.fc28.x86_64.rpm
          python-pyclipper-debuginfo-1.0.6-3.fc28.x86_64.rpm
          python-pyclipper-1.0.6-3.fc28.src.rpm
python2-pyclipper.x86_64: W: spelling-error Summary(en_US) Cython -> Python
python3-pyclipper.x86_64: W: spelling-error Summary(en_US) Cython -> Python
python-pyclipper.src: W: spelling-error Summary(en_US) Cython -> Python
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python-pyclipper-debuginfo-1.0.6-3.fc28.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
python2-pyclipper.x86_64: W: spelling-error Summary(en_US) Cython -> Python
python3-pyclipper.x86_64: W: spelling-error Summary(en_US) Cython -> Python
3 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python2-pyclipper (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpolyclipping.so.22()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    polyclipping
    python(abi)
    rtld(GNU_HASH)

python-pyclipper-debuginfo (rpmlib, GLIBC filtered):

python3-pyclipper (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpolyclipping.so.22()(64bit)
    libpthread.so.0()(64bit)
    libpython3.6m.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    polyclipping
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python2-pyclipper:
    python-pyclipper
    python-pyclipper(x86-64)
    python2-pyclipper
    python2-pyclipper(x86-64)
    python2.7dist(pyclipper)
    python2dist(pyclipper)

python-pyclipper-debuginfo:
    python-pyclipper-debuginfo
    python-pyclipper-debuginfo(x86-64)

python3-pyclipper:
    python3-pyclipper
    python3-pyclipper(x86-64)
    python3.6dist(pyclipper)
    python3dist(pyclipper)



Unversioned so-files
--------------------
python2-pyclipper: /usr/lib64/python2.7/site-packages/pyclipper.so
python3-pyclipper: /usr/lib64/python3.6/site-packages/pyclipper.cpython-36m-x86_64-linux-gnu.so

Source checksums
----------------
https://github.com/greginvm/pyclipper/archive/1.0.6/pyclipper-1.0.6.tar.gz :
  CHECKSUM(SHA256) this package     : 3c4b70b106bffd736146051f031e2fc5d815d2b13453604d05fb636bb487dcbd
  CHECKSUM(SHA256) upstream package : 3c4b70b106bffd736146051f031e2fc5d815d2b13453604d05fb636bb487dcbd


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1440971 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 17 Athos Ribeiro 2017-10-23 00:33:41 EDT
- Requires removed
- Warnings were about exclude entries in the MANIFEST.in file, which were not being pulled in by setuptools_scm since there are no .git directory in the source distribution.

SRPM URL: https://athoscr.fedorapeople.org/packaging/python-pyclipper-1.0.6-4.fc26.src.rpm
Comment 18 Elliott Sales de Andrade 2017-10-23 17:08:13 EDT
No, I meant the warnings in the C++ code.
Comment 19 Elliott Sales de Andrade 2018-01-07 22:58:38 EST
The warnings seem to be gone in the latest version. Please update and I think this should be good to go.
Comment 20 Athos Ribeiro 2018-02-15 23:04:14 EST
Hi Elliot,

Sorry for the stall on this bug!

New sources below. Since one of the patches was merged upstream, I removed it from the package.

Spec URL: https://athoscr.fedorapeople.org/packaging/python-pyclipper.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/python-pyclipper-1.1.0-1.fc27.src.rpm
Comment 21 Athos Ribeiro 2018-02-15 23:06:11 EST
koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=25083275
Comment 22 Elliott Sales de Andrade 2018-02-16 01:18:34 EST
APPROVED

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "*No copyright* BSL", "Unknown or
     generated". 14 files have unknown license. Detailed output of
     licensecheck in review/1440971-python-pyclipper/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/debug stuff
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-pyclipper , python3-pyclipper , python-pyclipper-debuginfo ,
     python-pyclipper-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pyclipper-1.1.0-1.fc28.x86_64.rpm
          python3-pyclipper-1.1.0-1.fc28.x86_64.rpm
          python-pyclipper-debuginfo-1.1.0-1.fc28.x86_64.rpm
          python-pyclipper-debugsource-1.1.0-1.fc28.x86_64.rpm
          python-pyclipper-1.1.0-1.fc28.src.rpm
python2-pyclipper.x86_64: W: spelling-error Summary(en_US) Cython -> Python
python3-pyclipper.x86_64: W: spelling-error Summary(en_US) Cython -> Python
python-pyclipper-debugsource.x86_64: W: no-documentation
python-pyclipper.src: W: spelling-error Summary(en_US) Cython -> Python
5 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python-pyclipper-debuginfo-1.1.0-1.fc28.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
python2-pyclipper.x86_64: W: spelling-error Summary(en_US) Cython -> Python
python2-pyclipper.x86_64: W: invalid-url URL: https://pypi.python.org/pypi/pyclipper <urlopen error [Errno -2] Name or service not known>
python-pyclipper-debugsource.x86_64: W: invalid-url URL: https://pypi.python.org/pypi/pyclipper <urlopen error [Errno -2] Name or service not known>
python-pyclipper-debugsource.x86_64: W: no-documentation
python-pyclipper-debuginfo.x86_64: W: invalid-url URL: https://pypi.python.org/pypi/pyclipper <urlopen error [Errno -2] Name or service not known>
python3-pyclipper.x86_64: W: spelling-error Summary(en_US) Cython -> Python
python3-pyclipper.x86_64: W: invalid-url URL: https://pypi.python.org/pypi/pyclipper <urlopen error [Errno -2] Name or service not known>
4 packages and 0 specfiles checked; 0 errors, 7 warnings.



Requires
--------
python2-pyclipper (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpolyclipping.so.22()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    python(abi)
    rtld(GNU_HASH)

python-pyclipper-debugsource (rpmlib, GLIBC filtered):

python-pyclipper-debuginfo (rpmlib, GLIBC filtered):

python3-pyclipper (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpolyclipping.so.22()(64bit)
    libpthread.so.0()(64bit)
    libpython3.6m.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python2-pyclipper:
    python-pyclipper
    python-pyclipper(x86-64)
    python2-pyclipper
    python2-pyclipper(x86-64)
    python2.7dist(pyclipper)
    python2dist(pyclipper)

python-pyclipper-debugsource:
    python-pyclipper-debugsource
    python-pyclipper-debugsource(x86-64)

python-pyclipper-debuginfo:
    python-pyclipper-debuginfo
    python-pyclipper-debuginfo(x86-64)

python3-pyclipper:
    python3-pyclipper
    python3-pyclipper(x86-64)
    python3.6dist(pyclipper)
    python3dist(pyclipper)



Unversioned so-files
--------------------
python2-pyclipper: /usr/lib64/python2.7/site-packages/pyclipper.so
python3-pyclipper: /usr/lib64/python3.6/site-packages/pyclipper.cpython-36m-x86_64-linux-gnu.so

Source checksums
----------------
https://github.com/greginvm/pyclipper/archive/1.1.0/pyclipper-1.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9c09b8af500bac9bae665182eaa21c365d0da045132472df266417796419831c
  CHECKSUM(SHA256) upstream package : 9c09b8af500bac9bae665182eaa21c365d0da045132472df266417796419831c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1440971 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 23 Athos Ribeiro 2018-02-16 17:12:23 EST
Thanks for the review!
Comment 24 Gwyn Ciesla 2018-02-16 17:47:04 EST
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pyclipper

Note You need to log in before you can comment on or make changes to this bug.